#!/bin/bash

bin_name=$(./set_project_name.sh)

list_of_files="./source/main.c
./source/la/la_interface.c
./source/lxt/lxt_write.c
./source/sampler.c
./source/xml.c
 -g"


echo now compiling $bin_name
gcc -lftd2xx -lz -lbz2 -lxml2 -o $bin_name $list_of_files 

if [ $? != "0" ]
   then echo
        echo "error(s) found while compiling"
   else echo
        echo "compiling successfull"
fi
